#include "Circle.h"

Circle::Circle(const Point& centre, double radius)
	: mCentre(centre),
	mRadius(radius)
{
	mMinorRadius = mRadius;
}

const Point& Circle::getLocation() const
{
	return mCentre;
}

double Circle::getRadius() const
{
	return mRadius;
}

double Circle::getMinorRadius() const
{
	return mMinorRadius;
}

void Circle::setMinorRadius(double radius)
{
	mMinorRadius = radius;
}

void Circle::sample(Grid<unsigned char>* grid) const
{

}

Circle::Bounds Circle::getSize() const
{
	return Bounds{ 2.0 * mRadius, 2.0 * mMinorRadius };
}

Circle::Type Circle::getType() const
{
	return Type::CIRCLE;
}